%global githash ed2ff01
%global gitdate 20130614
Name:           hotot
Version:        0.9.9
Release:        6.%{gitdate}git%{githash}%{?dist}
Summary:        Lightweight & open source micro blogging client
Group:          Applications/Internet
License:        LGPLv3+ and LGPLv3 and BSD and GPLv2
URL:            http://hotot.org

# wget https://github.com/lyricat/Hotot/tarball/%%{githash} -O hotot-%%{version}-%%{githash}.tar.gz
Source0:        hotot-%{version}-%{githash}.tar.gz
BuildRequires:  intltool gettext desktop-file-utils 
# Gtk3 version
BuildRequires:  gtk3-devel webkitgtk3-devel python3-gobject
# Qt version
BuildRequires:  qt-devel qtwebkit-devel kdelibs-devel

%description
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface.  It supports identi.ca and Twitter.
It has many features including support for real time updates, multi-column
view, threaded conversations, themes, integration with image services,
extensions and much more

%package common
Summary:        Lightweight & open source micro blogging client
Group:          Applications/Internet
Obsoletes:      hotot < 0.9.9-1
Provides:       %{name} = %{version}-%{release}

%description common
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface. This package contains common files 
such as locale and icons files shared between the GTK3 and Qt clients

%package gtk
Summary:        Lightweight & open source micro blogging client
Group:          Applications/Internet
Requires:       %{name}-common = %{version}
Requires:       python-xlib
Obsoletes:      hotot < 0.9.9-1
Provides:       %{name} = %{version}-%{release}

%description gtk
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface. This is the GTK3 client

%package qt
Summary:        Lightweight & open source micro blogging client
Group:          Applications/Internet
Requires:       %{name}-common = %{version}
Requires:       python-xlib
%description qt
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface. This is the Qt client

%prep
%setup -q -n lyricat-Hotot-%{githash}

%build
%cmake -DWITH_QT=on -DWITH_GIR=ON 
make %{?_smp_mflags}

%install
%make_install

desktop-file-install --copy-generic-name-to-name \
     %{buildroot}/%{_datadir}/applications/%{name}.desktop

desktop-file-install --copy-generic-name-to-name \
    %{buildroot}/%{_datadir}/applications/%{name}-qt.desktop
%find_lang %{name}

%post gtk
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun gtk
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans gtk
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files gtk
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/%{name}/

%files qt
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/kde4/apps/desktoptheme/default/icons/hotot_qt.svg
%{_datadir}/icons/hicolor/scalable/status/hotot_qt-active.svg
%{_datadir}/icons/hicolor/scalable/status/hotot_qt-inactive.svg

%files common -f %{name}.lang
%doc ChangeLog LGPL-license.txt
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Sat Jun 15 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.9-6.20130614gited2ff01
- copy generic name to name and fix scriptlets

* Fri Jun 14 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.9-5.20130614gited2ff01
- latest git snapshot. fixes twitter api break.  resolves rhbz#974212
- validate qt desktop file.  resolves rhbz#894867
- requires python-xlib.  resolves rhbz#895180

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-4.20121215gitcaad812
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.7-3.20121215gitcaad812
- use icon cache scriplet. fixes rhbz#892337

* Sat Jan 05 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.7-2.20121215gitcaad812
- update requires to pull in webkitgtk3
- spec file patch from William Graham <waffle.iron+fedora@gmail.com>

* Sat Dec 15 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.7-1.20121215gitcaad812
- update to 0.9.9 snapshot
- spec updates for cmake switch
- split up GTK3 and Qt subpackages
- gtk and common sub packages provides and obsoletes hotot for compatibility

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3.20111121gitfe857cb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-2.20111121gitfe857cb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.7-1.20111121gitfe857cb
- update to 0.9.7 snapshot
- spec update from Willington Vega <wvega@wvega.com>

* Mon Aug 15 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.6-2.20110815hg
- update to 0.9.6 snapshot

* Sun Jul 23 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.6-1.20110717hg
- update to 0.9.6 snapshot
- Spec update from Heiko Adams <fedora-updates@heiko-adams.de>

* Fri Apr 01 2011 Rahul Sundaram  <sundaram@fedoraproject.org> - 0.9.5-3.20110331hg
- Fix permissions for a couple of javascript files

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-2.20110331hg
- Adding missing build requires
- Include additional licensing info
- Make package noarch

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-1.20110331hg
- Initial release
- Based on the spec from upstream

